---
title: Create Individual
slug: poc-onboarding/create-individual
createdAt: 2025-06-23T05:38:42.429Z
---

{
  "id": "DglG_NFDjMCcqYfI9VTbI",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev-api.monoova.com/kyb/v1/CreateInd",
    "servers": [
      {
        "url": "https://dev-api.monoova.com/kyb/v1/CreateInd"
      }
    ],
    "name": "Create Individual",
    "description": "<p>This endpoint allows you to create an applicant on a chosen flow that you've created within the platform.</p>\n<p>Flows allow you to choose what you'd like to screen an applicant for, and which documents you'd like verified. For example, a basic flow you've created may require the applicant to provide one identity document and go through a selfie check.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "example": "{\"email\":\"johndoe@mail.com\",\"phone\":\"+61 424 424 424\",\"nameFirst\":\"John\",\"nameLast\":\"Doe\"}",
          "description": "",
          "customType": "Create_Individual",
          "schema": [
            {
              "name": "email",
              "kind": "required",
              "type": "string",
              "example": ""
            },
            {
              "name": "phone",
              "kind": "required",
              "type": "string",
              "example": ""
            },
            {
              "name": "nameFirst",
              "kind": "optional",
              "type": "string",
              "example": ""
            },
            {
              "name": "nameLast",
              "kind": "optional",
              "type": "string",
              "example": ""
            },
            {
              "name": "sourceKey",
              "kind": "optional",
              "type": "string",
              "example": ""
            },
            {
              "name": "externalUserId",
              "kind": "optional",
              "type": "object",
              "example": "",
              "schema": []
            }
          ],
          "modelRef": "#/components/schemas/Create_Individual",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearer",
          "name": "bearer",
          "kind": "optional",
          "type": "http",
          "in": "header",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"status\":\"string\",\"response\":{\"applicantId\":\"string\",\"email\":\"string\",\"phone\":\"string\",\"nameFirst\":\"string\",\"nameLast\":\"string\",\"applicantStatus\":\"string\"}}",
            "description": "",
            "customType": "Create_Individual_-_Response",
            "schema": [
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "response",
                "kind": "optional",
                "type": "object",
                "example": "",
                "schema": [
                  {
                    "name": "applicantId",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "email",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "phone",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "nameFirst",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "nameLast",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "applicantStatus",
                    "kind": "optional",
                    "type": "string",
                    "example": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Create_Individual_-_Response",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev-api.monoova.com/kyb/v1/CreateInd \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"email\": \"\",\n     \"phone\": \"\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"email\": \"\",\n   \"phone\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev-api.monoova.com/kyb/v1/CreateInd\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev-api.monoova.com/kyb/v1/CreateInd\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"email\": \"\",\n   \"phone\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev-api.monoova.com/kyb/v1/CreateInd\"\n\npayload = json.dumps({\n   \"email\": \"\",\n   \"phone\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "{\n  \"status\": \"\",\n  \"response\": {\n    \"applicantId\": \"\",\n    \"email\": \"\",\n    \"phone\": \"\",\n    \"nameFirst\": \"\",\n    \"nameLast\": \"\",\n    \"applicantStatus\": \"\"\n  }\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "cY8GucmRo3kbQZWIwymQ5",
      "type": "paragraph",
      "children": [
        {
          "text": "This endpoint allows you to create an applicant on a chosen flow that you've created within the platform."
        }
      ]
    },
    {
      "id": "FhXqQxsnM2e6H7CezAJDC",
      "type": "paragraph",
      "children": [
        {
          "text": "Flows allow you to choose what you'd like to screen an applicant for, and which documents you'd like verified. For example, a basic flow you've created may require the applicant to provide one identity document and go through a selfie check."
        }
      ]
    }
  ]
}